libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::internal::refcount Class Reference

`#include <util.hxx>`

## Public Member Functions

| refcount ()
| ~refcount ()
void | makeref (refcount &) throw ()
| Create additional reference based on existing refcount object.
bool | loseref () throw ()
| Drop this reference; return whether we were the last reference.

## Detailed Description

Helper class used in reference counting (doubly-linked circular list) Reference-counted smart-pointer for libpq-allocated resources.

## Constructor & Destructor Documentation

pqxx::internal::refcount::refcount | ( |  | ) |

pqxx::internal::refcount::~refcount | ( |  | ) |

## Member Function Documentation

bool pqxx::internal::refcount::loseref | ( |  | ) | throw ()

Drop this reference; return whether we were the last reference.

void pqxx::internal::refcount::makeref | ( | refcount & | rhs | ) | throw ()

Create additional reference based on existing refcount object.

The documentation for this class was generated from the following files:

- util.hxx
- util.cxx